- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::ColorRange Class Reference

ColorRange is a ScalarsToColors object to define a color spectrum for a scalar range. More...

Inheritance diagram for osgSim::ColorRange:

[legend]
List of all members.

## Public Member Functions
| ColorRange (float min, float max)
| Constructor for a ColorRange with a default list of colors set to Red-Yellow-Green-Blue-Cyan.
| ColorRange (float min, float max, const std::vector< osg::Vec4 > &colors)
| Constructor for a ColorRange.
void | setColors (const std::vector< osg::Vec4 > &colors)
| Set the range of colors.
osg::Vec4 | getColor (float scalar) const
| Get the color for a given scalar value.

## Detailed Description

ColorRange is a ScalarsToColors object to define a color spectrum for a scalar range.

An optional vector of colors may be passed in at construction time. The range of colors will be mapped to the scalar range, and interpolation between the colors will be performed as necessary. By default, the color range will run Red-Yellow-Green-Cyan-Blue.

## Constructor & Destructor Documentation

ColorRange::ColorRange | ( | float | min,
|  | float | max
| ) |

  | Constructor for a ColorRange with a default list of colors set to Red-Yellow-Green-Blue-Cyan. Parameters:
  | min | minimum scalar value
  | max | maximum scalar value

ColorRange::ColorRange | ( | float | min,
|  | float | max,
|  | const std::vector< osg::Vec4 > & | colors
| ) |

  | Constructor for a ColorRange. Parameters:
  | min | minimum scalar value
  | max | maximum scalar value
  | colors | optional range of colors,

## Member Function Documentation

osg::Vec4 ColorRange::getColor | ( | float | scalar | ) | const`[virtual]`

| Get the color for a given scalar value. Reimplemented from osgSim::ScalarsToColors.

void ColorRange::setColors | ( | const std::vector< osg::Vec4 > & | colors | ) |

| Set the range of colors.

The documentation for this class was generated from the following files:

- ColorRange
- ColorRange.cpp